{% extends 'base_navbar.html' %}
{% load static icon %}

{% block title %}
    Mon Organisation
{% endblock %}

{% block navbar_compte %}
    active
{% endblock %}

{% block head_css %}
    <link href="{% static 'treso/css/facture.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block content %}
    <header>
        <h1>Mon Organisation</h1>
        <div class="header-content">
            <p>
                Vous appartenez à une association ou à un organisme qui souhaite faire appel aux services de
                {{ NAME }} ? Afin de faciliter l'organisation et la facturation à votre organisme, vous
                pouvez renseigner ici ses coordonnées, qui seront utiles au bureau de {{ NAME }}.
            </p>
        </div>
    </header>

    <div class="container-fluid">
        {% if organisation %}
            <h2 class="title">
                Coordonnées
            </h2>
            <div class="card card-lg">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8">
                            <h3>{{ organisation }}</h3>
                            <ul class="list-group">
                                <li class="list-group-item">Nom : {{ organisation.nom }}</li>
                                <li class="list-group-item">Adresse : {{ organisation.adresse }}</li>
                                {% if organisation.adresseSecondeLigne %}
                                    <li class="list-group-item">Adresse (2ème ligne)
                                        : {{ organisation.adresseSecondeLigne }}</li>
                                {% endif %}
                                <li class="list-group-item">Ville : {{ organisation.ville }}</li>
                                <li class="list-group-item">Code postal : {{ organisation.codePostal }}</li>
                                {% if organisation.email %}
                                    <li class="list-group-item">Email : {{ organisation.email }}</li>
                                {% endif %}
                                {% if organisation.numeroDeTelephone %}
                                    <li class="list-group-item">Tél. : {{ organisation.numeroDeTelephone }}</li>
                                {% endif %}
                            </ul>
                        </div>
                        <div class="col-md-2">
                            <a class="btn btn-dark" href="{% url 'edit_client' organisation.id %}">Modifier</a>
                        </div>
                    </div>
                </div>
            </div>
        {% else %}
            <h2 class="title">
                Vous n'avez pas d'organisation !
            </h2>
            <div class="card card-lg">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-8">
                            <p>
                                Vous faîtes partie d'une association ou d'une organisation ? Pour accélérer les
                                démarches
                                administratives, vous pouvez renseigner les coordonnées de votre organisation en ligne.
                                Pour être associer à un organisme, votre demande doit d'abord être validée par le
                                bureau.
                            </p>

                            <a class="btn btn-outline-dark" id="bouton" aria-expanded="false" href="#demande"
                               data-toggle="collapse" onclick="$('#bouton').hide()">
                                <i class="fas fa-plus-circle"></i> Effectuer une demande d'association à un organisme
                            </a>
                            <div class="collapse" id="demande">
                                <div class="form-group">
                                    <label for="demande-input">Nom de l'organisme :</label>
                                    <input type="text" id="demande-input" class="form-control" placeholder="Organisme"/>
                                </div>
                                <button class="btn btn-primary" onclick="envoyer_demande()">Valider la demande</button>
                            </div>
                            <div class="collapse" id="reponse">
                                <p>
                                    Votre demande a été effectuée avec succès ! Si votre demande est validée, vous
                                    recevrez sous peu un mail de confirmation, afin de commencer à éditer les
                                    coordonnées de votre organisation.<br/>
                                    Si vous rencontrez un problème, merci de contacter <a
                                        href="mailto:{{ CONTACT_EMAIL }}?Subject=Liaison à une organisation"
                                        target="_top" style="color:#007bff !important;">{{ CONTACT_EMAIL }}</a>.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
    </div>
{% endblock %}


{% block footer_javascript %}
    {# Plugin confirmation box #}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>

    <script type="text/javascript">
        $(function () {
            $('[data-toggle=confirmation]').confirmation({
                rootSelector: '[data-toggle=confirmation]'
            });
        });

        {% if not organisation %}
            function envoyer_demande() {
                $.ajax({
                    url: '{% url 'demande_organisation' %}',
                    data: {
                        'organisation': $('#demande-input').val(),
                        'csrfmiddlewaretoken': '{{ csrf_token }}'
                    },
                    type: 'post',
                    dataType: 'json',
                    success: function (data) {
                        $('#demande').collapse('toggle');
                        $('#reponse').collapse();
                    }
                })
            }
        {% endif %}
    </script>
{% endblock %}
